Page MenuHomePhabricator

Language and lexical category fields turn red on unfocus when no changes are made
Closed, ResolvedPublic5 Estimated Story Points

Description

Problem:
When tabbing/clicking through the Lexical category and language field of a Lemma on a Lexeme the fields turn red, indicating an error, even though there is none.

Steps to reproduce:

Expected behaviour: No changes are being made to the language and lexical category fields, so nothing should happen when you unfocus (aka blur out of) them.
Actual behaviour: When the fields are unfocused, they turn red, as if there is an error (there does not seem to actually be any errors - edits to the other fields can still be saved).

Screenshot:

Acceptance criteria:

  • No errors are indicated if there are in fact no errors

Event Timeline

Nikki created this task.Oct 31 2020, 5:29 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 31 2020, 5:29 PM
Lydia_Pintscher set the point value for this task to 5.Nov 10 2020, 2:27 PM

Task inspection note: we could start by checking what code adds the ui-entityselector-input-unrecognized class to the input.

noarave updated the task description. (Show Details)Nov 10 2020, 3:05 PM

Change 643237 had a related patch set uploaded (by Silvan Heintze; owner: Silvan Heintze):
[mediawiki/extensions/WikibaseLexeme@master] Initialise entityselector with existing input

https://gerrit.wikimedia.org/r/643237

Change 643237 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Initialise entityselector with existing input

https://gerrit.wikimedia.org/r/643237

If we continue assuming that this once worked it would be awesome to document a theory why/when this broke - maybe there are other implementations with the same problem.

If we continue assuming that this once worked it would be awesome to document a theory why/when this broke - maybe there are other implementations with the same problem.

Seeing the way this had to be fixed in ItemSelectorWrapper.js we have reasons to assume that this didn't break somehow, but has never actually worked correctly.

Lydia_Pintscher closed this task as Resolved.Dec 2 2020, 9:42 AM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

\o/
successfully tested it on test. production should have the fix soon.